var express = require("express");
const router = express.Router();
const db = require("../../utils/database");

router.post("/insertDefectType", (req, res) => {
  var defectType = req.body.defectType;
  db.getConnection((err, connection) => {
    if (err) {
      console.log("database not connected error: >>>", err);
      throw err;
    }
    console.log("get Connection");
    var query = `insert into finehhdi_eDefect.DefectTypes (defectType) values ("${defectType}");`;
    connection.query(query, (err, result) => {
      connection.release();
      if (err) {
        if (err.code === "ER_DUP_ENTRY") {
          res.status(409).json({
            message: "Duplicate User",
            results: "Failed",
          });
        } else if (err.code === "ENOTFOUND") {
          res.status(404).json({
            message: "Internet Connection Failed",
            results: "failed",
          });
        } else {
          res.status(401).json({
            message: "dep creation failed",
            results: "Failed",
          });
        }
      } else {
        res.status(200).json({
          message: "Created Successfully",
          results: "Success",
        });
      }
    });
    console.log("release Connection");
  });
});

module.exports = router;
